package types

import (
	"p78git.ddns.net/svi/gobus/pkg/alias"
	"p78git.ddns.net/svi/gobus/pkg/net/netapi"
)

// IClientProxy -- прокси-клиента на подписку по шаблону на топики
type IClientProxy interface {
	// ClientName -- возвращает уникальное имя клиента
	ClientName() alias.ClientName
	// SampleTopic -- возвращает шаблок подписки на тпоики
	SampleTopic() alias.TopicName
	// Write -- пишет в прокси клиента сообщение топика
	Write(*netapi.TopicMsg)
	// IsWork -- возвращает признак работы прокси клиента
	IsWork() bool
}
